﻿.block__form {
    padding: var(--padding-lg) 0;
}

    .block__form fieldset {
        border: none;
        padding: 0;
    }

    .block__form .umbraco-forms-container {
        display: flex;
        flex-flow: column;
        gap: 2rem;
    }

    .block__form form {
        max-width: 50rem;
    }

    .block__form .umbraco-forms-label {
        display: flex;
        font-family: var(--secondfont);
        text-transform: uppercase;
        font-size: 1.6rem;
        font-weight: 700;
        margin-bottom: 1rem;
    }

    .block__form .radiobuttonlist,
    .block__form .checkboxlist {
        display: flex;
        flex-flow: column;
        gap: 1rem;
        font-size: 1.8rem;
        line-height: 2.4rem;
    }

        .block__form .radiobuttonlist > div,
        .block__form .checkboxlist > div {
            position: relative;
        }

        .block__form .radiobuttonlist input,
        .block__form .checkboxlist input {
            width: 0;
            left: 0;
            position: absolute;
            top: 0;
            left: 0;
            opacity: 0;
        }

        .block__form .radiobuttonlist label,
        .block__form .checkboxlist label {
            display: block;
            padding-left: 3rem;
            cursor: pointer;
        }

            .block__form .radiobuttonlist label:before,
            .block__form .checkboxlist label:before {
                content: "";
                width: 1.6rem;
                height: 1.6rem;
                background-color: var(--white);
                position: absolute;
                top: .4rem;
                left: 0;
            }

            .block__form .radiobuttonlist label:before {
                border-radius: 50%;
            }

        .block__form .radiobuttonlist input:checked ~ label:after,
        .block__form .checkboxlist input:checked ~ label:after {
            content: "";
            width: 2rem;
            height: 2rem;
            background-color: transparent;
            background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24'%3E%3Cpath d='M9 22l-10-10.598 2.798-2.859 7.149 7.473 13.144-14.016 2.909 2.806z'/%3E%3C/svg%3E");
            background-size: 100% auto;
            position: absolute;
            top: 0rem;
            left: -0rem;
        }

    .block__form .richtext,
    .block__form .richtext p {
        font-size: 1.8rem;
        line-height: 2.4rem;
    }

    .block__form .button {
        margin-top: 3rem;
    }

    .block__form .field-validation-error {
        font-size: 1.5rem;
        font-style: italic;
    }

    .block__form--center .umbraco-forms-form {
        display: flex;
        justify-content: center;
    }
